%define version	3.1.1
%define release	%mkrel 8

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-fcitx
Summary:	SCIM IMEngine module for fcitx
Version:		%{version}
Release:		%{release}
Group:		System/Internationalization
License:		GPL
URL:			http://www.magiclinux.org/people/sunmoon1997/stuff/fcim/
Source0:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:			%{libname} = %{version}-%{release}
Requires:			scim >= 1.4.0
BuildRequires:		scim-devel >= 1.4.7-4mdk
BuildRequires:		automake, libltdl-devel

%description
Scim-fcitx is an SCIM IMEngine module for fcitx.
It supports Chinese input.


%package -n %{libname}
Summary:	Scim-fcitx library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}

%description -n %{libname}
scim-fcitx library.


%prep
%setup -q -n fcitx

%build
./bootstrap
%configure2_5x
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unnecessary files
rm -f %{buildroot}/%{scim_plugins_dir}/*/*.{a,la}

# we don't need to pack up the binary tools
rm -f %{buildroot}%{_bindir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/scim/fcitx
%{_datadir}/scim/icons/fcitx

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{scim_plugins_dir}/IMEngine/*.so


%changelog
* Tue Feb 19 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.1.1-8mdv2008.1
+ Revision: 173107
- make it installable (fix percent-in-provides)
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 17 2007 Funda Wang <fundawang@mandriva.org> 3.1.1-7mdv2008.0
+ Revision: 65154
- Own fcitx dir
- Renew tarball with official one.
- Rebuild


* Sun May 07 2006 Stefan van der Eijk <stefan@eijk.nu> 3.1.1-6mdk
- rebuild for sparc

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.1.1-5mdk
- Rebuild for new scim

* Mon Jun 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.1.1-4mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Jun 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.1.1-3mdk
- Rebuild for new glibc

* Thu Jun 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.1.1-2mdk
- Rebuild against scim 1.3.0

* Thu May 12 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 3.1.1-1mdk
- first spec for Mandriva Linux

